Package com.avaya.clientservices.collaboration.drawing

## Enum AbstractShape.ShapeStatus

- java.lang.Object
- - java.lang.Enum<AbstractShape.ShapeStatus>
  - - com.avaya.clientservices.collaboration.drawing.AbstractShape.ShapeStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AbstractShape.ShapeStatus>`
  Enclosing class:
    AbstractShape

      public static enum AbstractShape.ShapeStatus
      extends java.lang.Enum<AbstractShape.ShapeStatus>

  Enum indicating selection status of `AbstractShape` on the server side, in other words, if our action is confirmed by server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFIRMED` | Shape has been successfully sent to server and response has been received.
    `ERROR` | Server returned an error to our action.
    `PENDING` | Response from server not received yet.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AbstractShape.ShapeStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AbstractShape.ShapeStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final AbstractShape.ShapeStatus PENDING

      Response from server not received yet.

    - #### CONFIRMED

          public static final AbstractShape.ShapeStatus CONFIRMED

      Shape has been successfully sent to server and response has been received.

    - #### ERROR

          public static final AbstractShape.ShapeStatus ERROR

      Server returned an error to our action.

  - ### Method Detail

    - #### values

          public static AbstractShape.ShapeStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractShape.ShapeStatus c : AbstractShape.ShapeStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractShape.ShapeStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null